org.apache.felix.scrplugin

## Class Project

- java.lang.Object
- - org.apache.felix.scrplugin.Project

    public class Project
    extends Object

Project description for the `SCRDescriptorGenerator`

### Constructor Summary

Constructors
Constructor and Description
`Project()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassesDirectory()`
`ClassLoader` `getClassLoader()`
`Collection<File>` `getDependencies()`
`Collection<Source>` `getSources()`
`void` `setClassesDirectory(String dir)`
`void` `setClassLoader(ClassLoader classLoader)`
`void` `setDependencies(Collection<File> dependencies)`
`void` `setSources(Collection<Source> sources)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Project

    public Project()

### Method Detail

#### getSources

    public Collection<Source> getSources()

#### setSources

    public void setSources(Collection<Source> sources)

#### getDependencies

    public Collection<File> getDependencies()

#### setDependencies

    public void setDependencies(Collection<File> dependencies)

#### getClassLoader

    public ClassLoader getClassLoader()

#### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

#### getClassesDirectory

    public String getClassesDirectory()

#### setClassesDirectory

    public void setClassesDirectory(String dir)